{
	"name": "form/nc/erp-sync/ksef/column/invoice-ksef-in.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "ord.order_id",
			"name": "Row",
			"record_type": "invoice",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"change_compare": false,
			"info": "invoiceNumber",
			"field": "ord.order_id",
			"name": "Invoice Number",
			"width": 230
		},
		{
			"change_compare": false,
			"info": "ksefNumber",
			"field": "ord.json_data.transfer_id",
			"name": "KSeF Number",
			"width": 320
		},
		{
			"change_compare": false,
			"field": "ord.json_data.import_text",
			"name": "XML",
			"format": "xml",
			"width": 60,
			"organization_id": { "": { "load": false }, "4d": { "load": false } },
			"cell_class_rules": {
				"blue": "x && x != ''"
			}
		},
		{
			"field": "ord.json_data.html_text",
			"name": "HTML",
			"format": "xml",
			"width": 60,
			"organization_id": { "": { "load": false }, "4d": { "load": false }, "odoo": { "field": "" } },
			"cell_class_rules": {
				"lightgreen-bg": "x && x != ''"
			}
		},
		{
			"field": "ord.json_data.html_text_en",
			"name": "HTML-en",
			"format": "xml",
			"width": 80,
			"organization_id": { "": { "load": false }, "4d": { "load": false }, "odoo": { "field": "" } },
			"cell_class_rules": {
				"lightgreen-bg": "x && x != ''"
			}
		},
		{
			"change_compare": false,
			"info": "invoicingDate",
			"field": "ord.order_date",
			"type": "datetime",
			"name": "Invoiced",
			"width": 100
		},
		{
			"change_compare": false,
			"info": "currency",
			"field": "ord.currency_id",
			"name": "Currency",
			"width": 70
		},
		{
			"change_compare": false,
			"info": "netAmount",
			"field": "ord.price_without_vat",
			"name": "Net",
			"format": "%'.2f",
			"width": 100
		},
		{
			"change_compare": false,
			"info": "vatAmount",
			"field": "ord.vat_price",
			"name": "VAT",
			"format": "%'.2f",
			"width": 90
		},
		{
			"change_compare": false,
			"info": "grossAmount",
			"field": "ord.price_with_vat",
			"name": "Gross",
			"format": "%'.2f",
			"width": 100
		},
		{
			"change_compare": false,
			"info": "issueDate",
			"field": "ord.json_data.issue_date",
			"type": "date",
			"name": "Issue Date",
			"width": 100
		},
		{
			"change_compare": false,
			"info": "acquisitionDate",
			"field": "ord.json_data.acquisition_date",
			"type": "datetime",
			"name": "Acquired",
			"width": 100
		},
		{
			"change_compare": false,
			"info": "invoicingMode",
			"field": "ord.json_data.invoicing_mode",
			"name": "Mode",
			"width": 80
		},
		{
			"change_compare": false,
			"info": "invoiceType",
			"field": "ord.json_data.invoice_type",
			"name": "Type",
			"width": 70
		},
		{
			"change_compare": false,
			"info": "seller",
			"field": "ord.json_data.seller",
			"name": "Seller",
			"width": 400
		},
		{
			"change_compare": false,
			"info": "buyer",
			"field": "ord.json_data.buyer",
			"name": "Buyer",
			"width": 400
		}
	]
}
